package org.jeecg.modules.communityActivity.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 活动信息表
 * @Author: jeecg-boot
 * @Date:   2025-07-23
 * @Version: V1.0
 */
@Data
@TableName("community_activity")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="community_activity对象", description="活动信息表")
public class CommunityActivity implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**标题*/
	@Excel(name = "标题", width = 15)
    @ApiModelProperty(value = "标题")
    private java.lang.String title;
	/**封面*/
	@Excel(name = "封面", width = 15)
    @ApiModelProperty(value = "封面")
    private java.lang.String image;
	/**活动积分*/
	@Excel(name = "活动积分", width = 15)
    @ApiModelProperty(value = "活动积分")
    private java.lang.Integer score;
	/**活动地点*/
	@Excel(name = "活动地点", width = 15)
    @ApiModelProperty(value = "活动地点")
    private java.lang.String address;
	/**活动时间*/
	@Excel(name = "活动时间", width = 15)
    @ApiModelProperty(value = "活动时间")
    private java.util.Date activityTime;
	/**报名开始时间*/
	@Excel(name = "报名开始时间", width = 15)
    @ApiModelProperty(value = "报名开始时间")
    private java.util.Date startTime;
	/**报名结束时间*/
	@Excel(name = "报名结束时间", width = 15)
    @ApiModelProperty(value = "报名结束时间")
    private java.util.Date endTime;
	/**报名人数上限*/
	@Excel(name = "报名人数上限", width = 15)
    @ApiModelProperty(value = "报名人数上限")
    private java.lang.Integer numLimit;
	/**已报名人数*/
	@Excel(name = "已报名人数", width = 15)
    @ApiModelProperty(value = "已报名人数")
    private java.lang.Integer numActivity;
	/**联系人*/
	@Excel(name = "联系人", width = 15)
    @ApiModelProperty(value = "联系人")
    private java.lang.String contact;
	/**取消规则*/
	@Excel(name = "取消规则", width = 15)
    @ApiModelProperty(value = "取消规则")
    private java.lang.String rule;
	/**活动详情*/
	@Excel(name = "活动详情", width = 15)
    @ApiModelProperty(value = "活动详情")
    private java.lang.String details;
	/**活动图集*/
	@Excel(name = "活动图集", width = 15)
    @ApiModelProperty(value = "活动图集")
    private java.lang.String atlas;
	/**活动状态*/
	@Excel(name = "活动状态", width = 15, dicCode = "community_status_activity")
	@Dict(dicCode = "community_status_activity")
    @ApiModelProperty(value = "活动状态")
    private java.lang.String status;
	/**活动分类*/
	@Excel(name = "活动分类", width = 15, dictTable = "community_category_activity", dicText = "title", dicCode = "id")
	@Dict(dictTable = "community_category_activity", dicText = "title", dicCode = "id")
    @ApiModelProperty(value = "活动分类")
    private java.lang.String categoryId;
	/**是否推荐活动*/
	@Excel(name = "是否推荐活动", width = 15, dicCode = "community_is_hot")
	@Dict(dicCode = "community_is_hot")
    @ApiModelProperty(value = "是否推荐活动")
    private java.lang.String isHot;
}
