import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '标题',
    align:"center",
    dataIndex: 'title'
   },
   {
    title: '封面',
    align:"center",
    dataIndex: 'image',
    customRender:render.renderAvatar,
   },
   {
    title: '活动积分',
    align:"center",
    dataIndex: 'score'
   },
   {
    title: '活动地点',
    align:"center",
    dataIndex: 'address'
   },
   {
    title: '活动时间',
    align:"center",
    dataIndex: 'activityTime'
   },
   {
    title: '报名开始时间',
    align:"center",
    dataIndex: 'startTime'
   },
   {
    title: '报名结束时间',
    align:"center",
    dataIndex: 'endTime'
   },
   {
    title: '报名人数上限',
    align:"center",
    dataIndex: 'numLimit'
   },
   {
    title: '已报名人数',
    align:"center",
    dataIndex: 'numActivity'
   },
   {
    title: '联系人',
    align:"center",
    dataIndex: 'contact'
   },
   {
    title: '取消规则',
    align:"center",
    dataIndex: 'rule'
   },
   {
    title: '活动详情',
    align:"center",
    dataIndex: 'details',
    slots: { customRender: 'htmlSlot' },
   },
   {
    title: '活动图集',
    align:"center",
    dataIndex: 'atlas',
    customRender:render.renderAvatar,
   },
   {
    title: '活动状态',
    align:"center",
    dataIndex: 'status_dictText'
   },
   {
    title: '活动分类',
    align:"center",
    dataIndex: 'categoryId_dictText'
   },
   {
    title: '是否推荐活动',
    align:"center",
    dataIndex: 'isHot_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '标题',
    field: 'title',
    component: 'Input',
  },
  {
    label: '封面',
    field: 'image',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '活动积分',
    field: 'score',
    component: 'InputNumber',
  },
  {
    label: '活动地点',
    field: 'address',
    component: 'Input',
  },
  {
    label: '活动时间',
    field: 'activityTime',
    component: 'Input',
  },
  {
    label: '报名开始时间',
    field: 'startTime',
    component: 'Input',
  },
  {
    label: '报名结束时间',
    field: 'endTime',
    component: 'Input',
  },
  {
    label: '报名人数上限',
    field: 'numLimit',
    component: 'InputNumber',
  },
  {
    label: '已报名人数',
    field: 'numActivity',
    component: 'InputNumber',
  },
  {
    label: '联系人',
    field: 'contact',
    component: 'Input',
  },
  {
    label: '取消规则',
    field: 'rule',
    component: 'Input',
  },
  {
    label: '活动详情',
    field: 'details',
    component: 'JCodeEditor', //TODO String后缀暂未添加
  },
  {
    label: '活动图集',
    field: 'atlas',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '活动状态',
    field: 'status',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"community_status_activity"
     },
  },
  {
    label: '活动分类',
    field: 'categoryId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"community_category_activity,title,id"
     },
  },
  {
    label: '是否推荐活动',
    field: 'isHot',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"community_is_hot"
     },
  },
];
