import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '标题',
    align:"center",
    dataIndex: 'title'
   },
   {
    title: '图片',
    align:"center",
    dataIndex: 'image',
    customRender:render.renderAvatar,
   },
   {
    title: '价格',
    align:"center",
    dataIndex: 'price'
   },
   {
    title: '库存',
    align:"center",
    dataIndex: 'inventory'
   },
   {
    title: '兑换量',
    align:"center",
    dataIndex: 'sales'
   },
   {
    title: '详情',
    align:"center",
    dataIndex: 'details'
   },
   {
    title: '商品分类',
    align:"center",
    dataIndex: 'categoryId_dictText'
   },
   {
    title: '是否下架',
    align:"center",
    dataIndex: 'isDel_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '标题',
    field: 'title',
    component: 'Input',
  },
  {
    label: '图片',
    field: 'image',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '价格',
    field: 'price',
    component: 'InputNumber',
  },
  {
    label: '库存',
    field: 'inventory',
    component: 'InputNumber',
  },
  {
    label: '兑换量',
    field: 'sales',
    component: 'InputNumber',
  },
  {
    label: '详情',
    field: 'details',
    component: 'Input',
  },
  {
    label: '商品分类',
    field: 'categoryId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"community_category_goods,title,id"
     },
  },
  {
    label: '是否下架',
    field: 'isDel',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"community_is_del"
     },
  },
];
