package org.jeecg.modules.communityOrder.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 商品订单表
 * @Author: jeecg-boot
 * @Date:   2025-07-22
 * @Version: V1.0
 */
@Data
@TableName("community_order")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="community_order对象", description="商品订单表")
public class CommunityOrder implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**订单标题*/
	@Excel(name = "订单标题", width = 15)
    @ApiModelProperty(value = "订单标题")
    private java.lang.String title;
	/**订单图片*/
	@Excel(name = "订单图片", width = 15)
    @ApiModelProperty(value = "订单图片")
    private java.lang.String image;
	/**订单价格*/
	@Excel(name = "订单价格", width = 15)
    @ApiModelProperty(value = "订单价格")
    private java.lang.Integer price;
	/**订单状态*/
	@Excel(name = "订单状态", width = 15, dicCode = "community_status_order")
	@Dict(dicCode = "community_status_order")
    @ApiModelProperty(value = "订单状态")
    private java.lang.String status;
	/**关联商品*/
	@Excel(name = "关联商品", width = 15, dictTable = "community_goods", dicText = "title", dicCode = "id")
	@Dict(dictTable = "community_goods", dicText = "title", dicCode = "id")
    @ApiModelProperty(value = "关联商品")
    private java.lang.String goodsId;
	/**关联用户*/
	@Excel(name = "关联用户", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "关联用户")
    private java.lang.String userId;
}
