import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '订单标题',
    align:"center",
    dataIndex: 'title'
   },
   {
    title: '订单图片',
    align:"center",
    dataIndex: 'image',
    customRender:render.renderAvatar,
   },
   {
    title: '订单价格',
    align:"center",
    dataIndex: 'price'
   },
   {
    title: '订单状态',
    align:"center",
    dataIndex: 'status_dictText'
   },
   {
    title: '关联商品',
    align:"center",
    dataIndex: 'goodsId_dictText'
   },
   {
    title: '关联用户',
    align:"center",
    dataIndex: 'userId_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '订单标题',
    field: 'title',
    component: 'Input',
  },
  {
    label: '订单图片',
    field: 'image',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '订单价格',
    field: 'price',
    component: 'InputNumber',
  },
  {
    label: '订单状态',
    field: 'status',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"community_status_order"
     },
  },
  {
    label: '关联商品',
    field: 'goodsId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"community_goods,title,id"
     },
  },
  {
    label: '关联用户',
    field: 'userId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"han_hai_member,nick_name,id"
     },
  },
];
