package org.jeecg.modules.communityVolunteer.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 志愿者表
 * @Author: jeecg-boot
 * @Date:   2025-07-22
 * @Version: V1.0
 */
@Data
@TableName("community_volunteer")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="community_volunteer对象", description="志愿者表")
public class CommunityVolunteer implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**姓名*/
	@Excel(name = "姓名", width = 15)
    @ApiModelProperty(value = "姓名")
    private java.lang.String name;
	/**手机号*/
	@Excel(name = "手机号", width = 15)
    @ApiModelProperty(value = "手机号")
    private java.lang.String phone;
	/**性别*/
	@Excel(name = "性别", width = 15, dicCode = "community_sex")
	@Dict(dicCode = "community_sex")
    @ApiModelProperty(value = "性别")
    private java.lang.String sex;
	/**所在地区*/
	@Excel(name = "所在地区", width = 15)
    @ApiModelProperty(value = "所在地区")
    private java.lang.String area;
	/**详细地址*/
	@Excel(name = "详细地址", width = 15)
    @ApiModelProperty(value = "详细地址")
    private java.lang.String address;
	/**职业类型*/
	@Excel(name = "职业类型", width = 15, dictTable = "community_career", dicText = "title", dicCode = "id")
	@Dict(dictTable = "community_career", dicText = "title", dicCode = "id")
    @ApiModelProperty(value = "职业类型")
    private java.lang.String career;
	/**最高学历*/
	@Excel(name = "最高学历", width = 15, dictTable = "community_qualifications", dicText = "title", dicCode = "id")
	@Dict(dictTable = "community_qualifications", dicText = "title", dicCode = "id")
    @ApiModelProperty(value = "最高学历")
    private java.lang.String qualifications;
	/**技能特长*/
	@Excel(name = "技能特长", width = 15)
    @ApiModelProperty(value = "技能特长")
    private java.lang.String skill;
	/**紧急联系人姓名*/
	@Excel(name = "紧急联系人姓名", width = 15)
    @ApiModelProperty(value = "紧急联系人姓名")
    private java.lang.String emergencyName;
	/**紧急联系人电话*/
	@Excel(name = "紧急联系人电话", width = 15)
    @ApiModelProperty(value = "紧急联系人电话")
    private java.lang.String emergencyPhone;
	/**关联用户id*/
	@Excel(name = "关联用户id", width = 15)
    @ApiModelProperty(value = "关联用户id")
    private java.lang.String userId;
}
