import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '姓名',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '手机号',
    align:"center",
    dataIndex: 'phone'
   },
   {
    title: '性别',
    align:"center",
    dataIndex: 'sex_dictText'
   },
   {
    title: '所在地区',
    align:"center",
    dataIndex: 'area'
   },
   {
    title: '详细地址',
    align:"center",
    dataIndex: 'address'
   },
   {
    title: '职业类型',
    align:"center",
    dataIndex: 'career_dictText'
   },
   {
    title: '最高学历',
    align:"center",
    dataIndex: 'qualifications_dictText'
   },
   {
    title: '技能特长',
    align:"center",
    dataIndex: 'skill'
   },
   {
    title: '紧急联系人姓名',
    align:"center",
    dataIndex: 'emergencyName'
   },
   {
    title: '紧急联系人电话',
    align:"center",
    dataIndex: 'emergencyPhone'
   },
   {
    title: '关联用户id',
    align:"center",
    dataIndex: 'userId'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '姓名',
    field: 'name',
    component: 'Input',
  },
  {
    label: '手机号',
    field: 'phone',
    component: 'Input',
  },
  {
    label: '性别',
    field: 'sex',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"community_sex"
     },
  },
  {
    label: '所在地区',
    field: 'area',
    component: 'Input',
  },
  {
    label: '详细地址',
    field: 'address',
    component: 'Input',
  },
  {
    label: '职业类型',
    field: 'career',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"community_career,title,id"
     },
  },
  {
    label: '最高学历',
    field: 'qualifications',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"community_qualifications,title,id"
     },
  },
  {
    label: '技能特长',
    field: 'skill',
    component: 'InputTextArea',//TODO 注意string转换问题
  },
  {
    label: '紧急联系人姓名',
    field: 'emergencyName',
    component: 'Input',
  },
  {
    label: '紧急联系人电话',
    field: 'emergencyPhone',
    component: 'Input',
  },
  {
    label: '关联用户id',
    field: 'userId',
    component: 'Input',
  },
];
