package org.jeecg.modules.api.communityController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.api.bean.PageBean;
import org.jeecg.modules.api.service.ConfigService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags="配置-相关接口")
@RestController
@RequestMapping("/community/config")
@Slf4j
public class ConfigController {
    /******************************************************************************************************************/
    //配置信息
    @Resource
    private ConfigService configService;
    /******************************************************************************************************************/
    //查看系统配置列表
    @ApiOperation(value="系统配置-查询系统配置列表", notes="系统配置-查询系统配置列表")
    @RequestMapping(value = "/queryConfigList", method = {RequestMethod.GET})
    public Result<?> queryConfigList(PageBean pageBean){
        return configService.queryConfigList(pageBean);
    }

    //查看系统配置详情
    @ApiOperation(value="系统配置-查询系统配置详情", notes="系统配置-查询系统配置详情")
    @RequestMapping(value = "/queryConfigByParamCode", method = {RequestMethod.GET})
    public Result<?> queryConfigByParamCode(String paramCode){
        return configService.queryConfigByParamCode(paramCode);
    }

    //查询职业信息列表
    @ApiOperation(value="系统配置-查询职业信息列表", notes="系统配置-查询职业信息列表")
    @RequestMapping(value = "/queryCareerList", method = {RequestMethod.GET})
    public Result<?> queryCareerList(PageBean pageBean){
        return configService.queryCareerList(pageBean);
    }

    //查询学历信息列表
    @ApiOperation(value="系统配置-查询学历信息列表", notes="系统配置-查询学历信息列表")
    @RequestMapping(value = "/queryQualificationList", method = {RequestMethod.GET})
    public Result<?> queryQualificationList(PageBean pageBean){
        return configService.queryQualificationList(pageBean);
    }

}
