package org.jeecg.modules.api.communityController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.api.bean.PageBean;
import org.jeecg.modules.api.service.IndexService;
import org.jeecg.modules.communityBanner.entity.CommunityBanner;
import org.jeecg.modules.communityNotice.entity.CommunityNotice;
import org.jeecg.modules.communityVolunteer.entity.CommunityVolunteer;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags="首页-相关接口")
@RestController
@RequestMapping("/community/index")
@Slf4j
public class IndexController {

    /******************************************************************************************************************/
    @Resource
    private IndexService indexService;
    /******************************************************************************************************************/

    //获取banner图列表
    @ApiOperation(value="首页-获取banner图列表", notes="type：0-首页")
    @RequestMapping(value = "/queryBannerList", method = {RequestMethod.GET})
    public Result<?> queryBannerList(CommunityBanner communityBanner, PageBean pageBean){
        return indexService.queryBannerList(communityBanner, pageBean);
    }

    //获取公告列表
    @ApiOperation(value="首页-获取公告列表", notes="首页-获取公告列表")
    @RequestMapping(value = "/queryNoticeList", method = {RequestMethod.GET})
    public Result<?> queryNoticeList(CommunityNotice communityNotice, PageBean pageBean){
        return indexService.queryNoticeList(communityNotice, pageBean);
    }

    //获取公告详情
    @ApiOperation(value="首页-获取公告详情", notes="首页-获取公告详情")
    @RequestMapping(value = "/queryNoticeById", method = {RequestMethod.GET})
    public Result<?> queryNoticeById(String noticeId){
        return indexService.queryNoticeById(noticeId);
    }

    //申请成为志愿者
    @ApiOperation(value="首页-申请成为志愿者", notes="首页-申请成为志愿者")
    @RequestMapping(value = "/applyVolunteer", method = {RequestMethod.POST})
    public Result<?> applyVolunteer(@RequestHeader("X-Access-Token") String token, CommunityVolunteer communityVolunteer){
        return indexService.applyVolunteer(token, communityVolunteer);
    }

}
