package org.jeecg.modules.api.communityController;

import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.api.service.LoginApiService;
import org.jeecg.modules.bean.LoginReq;
import org.springframework.web.bind.annotation.GetMapping;

import javax.annotation.Resource;

public class LoginApiController {
    /******************************************************************************************************************/
    //工作信息
    @Resource
    private LoginApiService loginApiService;
    /******************************************************************************************************************/

    //小程序-微信授权登录接口
    @ApiOperation(value="小程序-微信授权登录接口", notes="小程序-微信授权登录接口")
    @GetMapping("/login")
    public Result<?> login(LoginReq loginReq){
        return loginApiService.login(loginReq);
    }

    //绑定手机号码
    @ApiOperation(value="小程序-绑定手机号码", notes="小程序-绑定手机号码")
    @GetMapping(value = "/bindPhone")
    public Result<Object> bindPhone(String phoneCode){
        return loginApiService.bindPhone(phoneCode);
    }
}
