package org.jeecg.modules.api.communityController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.api.bean.PageBean;
import org.jeecg.modules.api.service.GoodsService;
import org.jeecg.modules.api.service.OrderService;
import org.jeecg.modules.communityGoods.entity.CommunityGoods;
import org.jeecg.modules.communityOrder.entity.CommunityOrder;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags="我的-兑换记录相关接口")
@RestController
@RequestMapping("/community/order")
@Slf4j
public class OrderController {
    /******************************************************************************************************************/
    @Resource
    private OrderService orderService;
    /******************************************************************************************************************/

    //查看订单列表
    @ApiOperation(value="兑换记录-查看订单列表", notes="兑换记录-查看订单列表")
    @RequestMapping(value = "/queryOrderList", method = {RequestMethod.GET})
    public Result<?> queryOrderList(@RequestHeader("X-Access-Token") String token, CommunityOrder communityOrder, PageBean pageBean){
        return orderService.queryOrderList(token, communityOrder, pageBean);
    }

    //查看订单详情
    @ApiOperation(value="兑换记录-查看订单详情", notes="兑换记录-查看订单详情")
    @RequestMapping(value = "/queryOrderById", method = {RequestMethod.GET})
    public Result<?> queryOrderById(@RequestHeader("X-Access-Token") String token, String orderId){
        return orderService.queryOrderById(token, orderId);
    }

    //确认取货
    @ApiOperation(value="兑换记录-确认取货", notes="兑换记录-确认取货")
    @RequestMapping(value = "/finishOrder", method = {RequestMethod.POST})
    public Result<?> finishOrder(@RequestHeader("X-Access-Token") String token, String orderId){
        return orderService.finishOrder(token, orderId);
    }

}
