package org.jeecg.modules.api.communityController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.api.bean.PageBean;
import org.jeecg.modules.api.service.GoodsService;
import org.jeecg.modules.api.service.ScoreService;
import org.jeecg.modules.communityScore.entity.CommunityScore;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags="积分-相关接口")
@RestController
@RequestMapping("/community/score")
@Slf4j
public class ScoreController {

    /******************************************************************************************************************/
    @Resource
    private ScoreService scoreService;
    /******************************************************************************************************************/

    //可用积分-获取积分明细列表
    @ApiOperation(value="可用积分-获取积分明细列表", notes="type：0-收入 1-支出")
    @RequestMapping(value = "/queryScoreList", method = {RequestMethod.POST})
    public Result<?> queryScoreList(@RequestHeader("X-Access-Token") String token, CommunityScore communityScore, PageBean pageBean){
        return scoreService.queryScoreList(token, communityScore, pageBean);
    }
}
