package org.jeecg.modules.api.communityController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.api.bean.PageBean;
import org.jeecg.modules.api.service.*;
import org.jeecg.modules.communityActivityApply.entity.CommunityActivityApply;
import org.jeecg.modules.communityScore.entity.CommunityScore;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags="我的-相关接口")
@RestController
@RequestMapping("/community/userInfo")
@Slf4j
public class UserInfoController {

    /******************************************************************************************************************/
    @Resource
    private UserInfoService userInfoService;
    /******************************************************************************************************************/

    //获取个人信息
    @ApiOperation(value="我的资料-获取个人信息", notes="我的资料-获取个人信息")
    @RequestMapping(value = "/queryUser", method = {RequestMethod.GET})
    public Result<?> queryUser(@RequestHeader("X-Access-Token") String token){
        return userInfoService.queryUserInfo(token);
    }

    //修改个人信息
    @ApiOperation(value="我的资料-修改个人信息", notes="我的资料-修改个人信息")
    @RequestMapping(value = "/updateUser", method = {RequestMethod.POST})
    public Result<?> updateUser(@RequestHeader("X-Access-Token") String token, String nickName,String phone,String headImage){
        return userInfoService.updateUserInfo(token, nickName, phone, headImage);
    }


}
