package org.jeecg.modules.api.service;

import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.api.bean.PageBean;
import org.jeecg.modules.communityActivity.entity.CommunityActivity;
import org.jeecg.modules.communityActivityApply.entity.CommunityActivityApply;
import org.jeecg.modules.communityActivityCollection.entity.CommunityActivityCollection;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

public interface ActivityService {

    //获取活动列表/详情
    public Result<?> queryActivityList(CommunityActivity communityActivity, PageBean pageBean);

    //获取活动详情
    public Result<?> queryActivityById(String activityId);

    //获取我收藏的活动列表
    public Result<?> queryActivityCollectionList(String token, PageBean pageBean);

    //获取我报名的活动列表
    public Result<?> queryApplyList(String token, CommunityActivityApply communityActivityApply, PageBean pageBean);

    //收藏活动
    public Result<?> collectionActivity(String token, CommunityActivityCollection communityActivityCollection);

    //活动报名
    public Result<?> applyActivity(String token, CommunityActivityApply communityActivityApply);

    //活动签到
    public Result<?> signActivity(String token, String activityId);

}
